local source = redis.call('get', KEYS[1])
local target = redis.call('incr', KEYS[1])
--计数器自增后不相等
if source ~= target then
	--设置日期
	redis.call('set', KEYS[2], ARGV[1])
	local set = redis.call('get', KEYS[2])
	--列表左侧压入一个值
	local lpush = redis.call('lpush', KEYS[3], ARGV[2])
	return 'source:'..source..'-->'..target..', set:'..set..', lpush:'..lpush
else
	return '2'
end